#!/usr/bin/python

import os, sys, commands

archi = sys.argv[1]
curdir = sys.argv[2]
version = sys.argv[3]
abort = False 

release = version
if "+" in version:
    #if "lmde" not in version:
    #    abort = True
    release = version.split("+")[0]   
    
if "~" in version:
    release = version.split("~")[0]

if archi == "amd64":
    archi="linux-x86_64"
else:
    archi="linux-i686"

locales = {}
locales['af'] = 'af'
locales['ar'] = 'ar'
#locales['be'] = 'be'
locales['bg'] = 'bg'
locales['bn-BD'] = 'bn-bd'
locales['ca'] = 'ca'
locales['cs'] = 'cs'
locales['da'] = 'da'
locales['de'] = 'de'
locales['el'] = 'el'
locales['en-GB'] = 'en-gb'
locales['eo'] = 'eo'
locales['es-ES'] = 'es'
locales['et'] = 'et'
locales['eu'] = 'eu'
locales['fa'] = 'fa'
locales['fi'] = 'fi'
locales['fr'] = 'fr'
locales['fy-NL'] = 'fy'
locales['gl'] = 'gl'
locales['gu-IN'] = 'gu'
locales['he'] = 'he'
locales['hi-IN'] = 'hi'
locales['hr'] = 'hr'
locales['hu'] = 'hu'
locales['id'] = 'id'
locales['is'] = 'is'
locales['it'] = 'it'
locales['ja'] = 'ja'
locales['kn'] = 'kn'
locales['ko'] = 'ko'
locales['lt'] = 'lt'
locales['lv'] = 'lv'
locales['nb-NO'] = 'nb'
locales['nl'] = 'nl'
locales['nn-NO'] = 'nn'
locales['pl'] = 'pl'
locales['pt-PT'] = 'pt'
locales['pt-BR'] = 'pt-br'
locales['ro'] = 'ro'
locales['ru'] = 'ru'
locales['sk'] = 'sk'
locales['sl'] = 'sl'
locales['sq'] = 'sq'
locales['sr'] = 'sr'
locales['sv-SE'] = 'sv'
locales['th'] = 'th'
locales['tr'] = 'tr'
locales['uk'] = 'uk'
locales['zh-CN'] = 'zh'

os.system("mkdir -p %s/debian/firefox/opt" % curdir)
os.chdir("%s/debian/firefox/opt" % curdir)
if not abort:
    os.system("wget http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/60.0.2/%s/en-US/firefox-%s.tar.bz2" % (archi, release))
    if (not os.path.exists("firefox-%s.tar.bz2" % release)):
        print "FAILED: Could not download http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/latest/%s/en-US/firefox-%s.tar.bz2" % (archi, release)
        sys.exit(1)

    os.system("bzip2 -d firefox-%s.tar.bz2" % release)
    os.system("tar xvf firefox-%s.tar" % release)
    os.system("rm firefox-%s.tar" % release)

    os.system("rm -rf firefox/browser/searchplugins/*")
    os.system("rm -rf firefox/defaults/pref/*")
    os.system("cp -r %s/searchplugins/* firefox/browser/searchplugins/" % curdir)
    os.system("cp %s/pref/* firefox/defaults/pref/" % curdir)

    os.system("mkdir -p %s/debian/firefox/usr/share/icons/hicolor" % curdir)
    os.chdir("%s/debian/firefox/usr/share/icons/hicolor" % curdir)
    os.system("mkdir -p 16x16/apps 32x32/apps 48x48/apps 128x128/apps")
    os.system("ln -s /opt/firefox/browser/chrome/icons/default/default16.png 16x16/apps/firefox.png")
    os.system("ln -s /opt/firefox/browser/chrome/icons/default/default32.png 32x32/apps/firefox.png")
    os.system("ln -s /opt/firefox/browser/chrome/icons/default/default48.png 48x48/apps/firefox.png")
    os.system("ln -s /opt/firefox/browser/icons/mozicon128.png 128x128/apps/firefox.png")
    os.system("mkdir -p %s/debian/firefox/opt/firefox/browser/defaults/preferences" % curdir)
    os.chdir("%s/debian/firefox/opt/firefox/browser/defaults/preferences" % curdir)
    pref_file = open("browser.js", "wb")
    pref_file.write( "pref(\"extensions.autoDisableScopes\", 3);\npref(\"intl.locale.matchOS\", true);\n");
    pref_file.close()

for locale in locales:
    os.system("mkdir -p %s/debian/firefox-l10n-%s/opt/firefox/browser/extensions" % (curdir, locales[locale]))
    os.chdir("%s/debian/firefox-l10n-%s/opt/firefox/browser/extensions" % (curdir,locales[locale]))
    if not abort:
        os.system("wget http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/60.0.2/%s/xpi/%s.xpi" % (archi, locale))
        if (not os.path.exists("%s.xpi" % locale)):
            print "FAILED: Could not download http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/latest/%s/xpi/%s.xpi" % (archi, locale)
            sys.exit(1)
        os.system("mv ./%s.xpi ./langpack-%s@firefox.mozilla.org.xpi" % (locale, locale))

os.chdir(curdir)
